OrganismParser (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.OrganismParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class OrganismParser

    java.lang.Object
      org.biojava.bio.seq.io.SequenceBuilderFilter
          org.biojava.bio.seq.io.OrganismParser

All Implemented Interfaces:
  SeqIOListener, SequenceBuilder

Deprecated. Use org.biojavax.bio.taxa framework instead

    public class OrganismParser

extends SequenceBuilderFilter

A parser that is able to generate Taxon entries for sequence builder event streams.

Author:
  Matthew Pocock

Nested Class Summary
`static class` | `OrganismParser.Factory` Deprecated. Factory which wraps SequenceBuilders in an OrganismParser.

Field Summary
`static String` | `PROPERTY_ORGANISM` Deprecated.

Constructor Summary
`OrganismParser(SequenceBuilder delegate, TaxonFactory taxonFactory, TaxonParser taxonParser, String sciNameKey, String commonNameKey, String ncbiTaxonKey)` Deprecated.

Method Summary
`void` | `addSequenceProperty(Object sciNameKey, Object value)` Deprecated. Notify the listener of a sequence-wide property.
`void` | `endSequence()` Deprecated. Notify the listener that processing of the sequence is complete.

Methods inherited from class org.biojava.bio.seq.io.SequenceBuilderFilter
`addFeatureProperty, addSymbols, endFeature, getDelegate, makeSequence, setName, setURI, startFeature, startSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_ORGANISM

    public static final String PROPERTY_ORGANISM

  Deprecated.

Constructor Detail

### OrganismParser

    public OrganismParser(SequenceBuilder delegate,
                          TaxonFactory taxonFactory,
                          TaxonParser taxonParser,
                          String sciNameKey,
                          String commonNameKey,
                          String ncbiTaxonKey)

  Deprecated.

Method Detail

### addSequenceProperty

    public void addSequenceProperty(Object sciNameKey,
                                    Object value)
                             throws ParseException

  Deprecated.
  Description copied from interface: `SeqIOListener`
  Notify the listener of a sequence-wide property. This might be stored as an entry in the sequence's annotation bundle.

  Specified by:
    `addSequenceProperty` in interface `SeqIOListener`
  Overrides:
    `addSequenceProperty` in class `SequenceBuilderFilter`
  Throws:
    `ParseException`

### endSequence

    public void endSequence()
                     throws ParseException

  Deprecated.
  Description copied from interface: `SeqIOListener`
  Notify the listener that processing of the sequence is complete.

  Specified by:
    `endSequence` in interface `SeqIOListener`
  Overrides:
    `endSequence` in class `SequenceBuilderFilter`
  Throws:
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD